%global srcname jax-rpc-api

Name:           jakarta-xml-rpc
# the obsoleted geronimo-jaxrpc had a higher version
Epoch:          1
Version:        1.1.4
Release:        %mkrel 1
Group:          Development/Java
Summary:        Jakarta XML RPC API
License:        EPL-2.0 or GPLv2 with exceptions

URL:            https://github.com/eclipse-ee4j/jax-rpc-api
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.servlet:jakarta.servlet-api)
BuildRequires:  mvn(jakarta.xml.soap:jakarta.xml.soap-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.glassfish.build:spec-version-maven-plugin)

# package renamed in fedora 33, remove in fedora 35
Provides:       geronimo-jaxrpc = %{epoch}:%{version}-%{release}
Obsoletes:      geronimo-jaxrpc < 2.1-28

%description
Jakarta XML RPC API provides standardized Java APIs for using XML-RPC.


%package javadoc
Summary:        Javadoc for %{name}

# package renamed in fedora 33, remove in fedora 35
Provides:       geronimo-jaxrpc-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      geronimo-jaxrpc-javadoc < 2.1-28

%description javadoc
API documentation for %{name}.


%prep
%autosetup -n %{srcname}-%{version} -p1

# drop useless dependency on parent POM
%pom_remove_parent

# do not build specification documentation
%pom_disable_module spec

# drop useless maven plugins
%pom_remove_plugin :maven-javadoc-plugin api
%pom_remove_plugin :maven-source-plugin api

# add dependency for javax.xml.soap package (no longer part of OpenJDK)
%pom_add_dep jakarta.xml.soap:jakarta.xml.soap-api api

# replace deprecated option that was removed with maven-jar-plugin 3.x
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-jar-plugin"]/pom:configuration/pom:useDefaultManifestFile' api
%pom_xpath_inject 'pom:plugin[pom:artifactId="maven-jar-plugin"]/pom:configuration' '<archive>
  <manifestFile>${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
</archive>' api

# disable spec verification (fails because spec-version-maven-plugin is too old)
%pom_xpath_remove 'pom:goal[text()="check-module"]' api

# do not install useless parent POM
%mvn_package jakarta.xml.rpc:rpc-api-parent __noinstall

# add compatibility alias for old maven artifact coordinates
%mvn_alias jakarta.xml.rpc:jakarta.xml.rpc-api javax.xml:jaxrpc-api

# add compatibility symlinks for old classpath
%mvn_file : %{name}/jakarta.xml.rpc-api geronimo-jaxrpc jaxrpc


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE.md NOTICE.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.md NOTICE.md



%changelog
* Fri Sep 04 2020 daviddavid <daviddavid> 1:1.1.4-1.mga8
+ Revision: 1622051
- Update to 1.1.4 (add epoch as geronimo-jaxrpc had a higher version)
- package renamed to jakarta-xml-rpc

* Wed Feb 12 2020 umeabot <umeabot> 2.1-22.mga8
+ Revision: 1506266
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.1-21.mga7
+ Revision: 1262004
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 2.1-20.mga6
+ Revision: 982631
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.1-19.mga6
+ Revision: 976260
- First rebuild of the java stack
- sync package geronimo-jaxrpc with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ pterjan <pterjan>
- Add missing BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 2.1-15.mga5
+ Revision: 750641
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 2.1-13.mga4
+ Revision: 564136
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 2.1-12.mga4
+ Revision: 522371
- Mageia 4 Mass Rebuild

* Wed Feb 27 2013 dmorgan <dmorgan> 2.1-11.mga3
+ Revision: 400481
- Add missing demap

* Sat Jan 12 2013 dmorgan <dmorgan> 2.1-5.mga3
+ Revision: 356986
- Build with maven 3
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 gil <gil> 2.1-4.mga2
+ Revision: 178317
- obsoletes geronimo-jaxrpc-1_1-api
+ dmorgan <dmorgan>
- Add provides

* Tue Jul 19 2011 dmorgan <dmorgan> 2.1-2.mga2
+ Revision: 126342
- imported package geronimo-jaxrpc

